Skip to main content
POST
/
api
/
v1
/
squads
/
{squadId}
/
transfer-rules
Create transfer rule
curl --request POST \
  --url https://prod.featherhq.com/api/v1/squads/{squadId}/transfer-rules \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "fromAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "toAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "allowManualTrigger": true,
  "toolDescription": "<string>",
  "variables": [
    {
      "name": "<string>",
      "description": "<string>",
      "required": true
    }
  ],
  "speakBeforeTransfer": "<string>"
}
'
import requests

url = "https://prod.featherhq.com/api/v1/squads/{squadId}/transfer-rules"

payload = {
"fromAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowManualTrigger": True,
"toolDescription": "<string>",
"variables": [
{
"name": "<string>",
"description": "<string>",
"required": True
}
],
"speakBeforeTransfer": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
toAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allowManualTrigger: true,
toolDescription: '<string>',
variables: [{name: '<string>', description: '<string>', required: true}],
speakBeforeTransfer: '<string>'
})
};

fetch('https://prod.featherhq.com/api/v1/squads/{squadId}/transfer-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transferRule": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "squadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fromAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "toAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "allowManualTrigger": true,
    "toolDescription": "<string>",
    "variables": [
      {
        "name": "<string>",
        "description": "<string>",
        "required": true
      }
    ],
    "speakBeforeTransfer": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "fromAgent": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "toAgent": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  }
}
{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}
{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}
{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}

Authorizations

X-API-Key
string
header
required

Path Parameters

squadId
string<uuid>
required

Body

application/json
fromAgentId
string<uuid>
required
toAgentId
string<uuid>
required
allowManualTrigger
boolean
default:true
toolDescription
string
Maximum string length: 500
variables
object[]
speakBeforeTransfer
string

Response

Transfer rule created successfully

transferRule
object
required